Opened 11 years ago

Closed 11 years ago

#8204 closed defect (duplicate)

when upgrading sage, cddlib spkg goes interactive due to some errors in it

Reported by: was Owned by: tbd
Priority: blocker Milestone: sage-duplicate/invalid/wontfix
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

There is something very broken about the new cddlib-094f.p2 standard spkg. When I upgrade from sage-4.3.1 on any machine, it always asks me questions about some messed up patch. This is very, very bad.

...
cddlib-094f.p2/.hg/branch                                         
cddlib-094f.p2/.hg/branch.cache                                   
cddlib-094f.p2/.hg/requires                                       
cddlib-094f.p2/SPKG.txt                                           
Finished extraction                                               
****************************************************              
Host system                                                       
uname -a:                                                         
Linux boxen 2.6.24-24-server #1 SMP Fri Sep 18 16:47:05 UTC 2009 x86_64 GNU/Linux
****************************************************                             
****************************************************                             
CC Version                                                                       
gcc -v                                                                           
Using built-in specs.                                                            
Target: x86_64-linux-gnu                                                         
Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.2 --program-suffix=-4.2 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu                           
Thread model: posix                                                                                                         
gcc version 4.2.4 (Ubuntu 4.2.4-1ubuntu4)                                                                                   
****************************************************                                                                        
patching file src/src-gmp/Makefile.am                                                                                       
Reversed (or previously applied) patch detected!  Assume -R? [n]                                                            
Apply anyway? [n]                                                                                                           
Skipping patch.                                                                                                             
2 out of 2 hunks ignored -- saving rejects to file src/src-gmp/Makefile.am.rej                                              
patching file src/src/Makefile.am                                                                                           
Reversed (or previously applied) patch detected!  
Assume -R? [n]     *** INTERACTIVE QUESTION!!! **** 
Apply anyway? [n]                                                                                                           
Skipping patch.                            

Change History (4)

comment:1 Changed 11 years ago by mvngu

The problem is due to #7109. See #8115 for the same problem.

comment:2 Changed 11 years ago by drkirkby

On a similar, but not identical issue, #8122 has edits to the source directly, not via creating new versions of files, or by calling patch. It's bad practice, but not as serious as this one.

comment:3 Changed 11 years ago by vbraun

  • Status changed from new to needs_review

Fixed by cddlib-094f.p4.spkg, see #8115.

comment:4 Changed 11 years ago by mvngu

  • Milestone changed from sage-4.3.3 to sage-duplicate/invalid/wontfix
  • Resolution set to duplicate
  • Status changed from needs_review to closed

Close as a duplicate of #8115.

Note: See TracTickets for help on using tickets.